GuideLab API

Get a time-off entry by ID

Returns a single time-off entry by ID, scoped to the authenticated lab. Lab-only endpoint.

GET
/calendar/time-off/{id}

Returns a single time-off entry by ID, scoped to the authenticated lab. Lab-only endpoint.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Time-off entry ID

Response Body

application/json

curl -X GET "https://example.com/calendar/time-off/550e8400-e29b-41d4-a716-446655440000"
{  "entry": {    "id": "string",    "name": "string",    "startDate": "string",    "endDate": "string",    "isRecurringAnnually": true,    "isBankHoliday": true,    "isActive": true,    "sortOrder": 0,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty